# SerializableVector

data class SerializableVector(x: Double, y: Double, z: Double) : SpigotSerializable<Vector>
Content copied to clipboard

## Constructors

SerializableVector
Link copied to clipboard
fun SerializableVector(vec: Vector)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion : SpigotSerializableCompanion<SerializableVector>
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Double
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Double
Content copied to clipboard
component3
Link copied to clipboard
operator fun component3(): Double
Content copied to clipboard
copy
Link copied to clipboard
fun copy(x: Double, y: Double, z: Double): SerializableVector
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toSpigot
Link copied to clipboard
open override fun toSpigot(): Vector
Content copied to clipboard
Converts this serializable object into the corresponding spigot object.
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

x
Link copied to clipboard
val x: Double
Content copied to clipboard
y
Link copied to clipboard
val y: Double
Content copied to clipboard
z
Link copied to clipboard
val z: Double
Content copied to clipboard